【活用ガイド】

JVNDB-2020-008621

jpeg-js におけるリソースの枯渇に関する脆弱性

概要

jpeg-js には、リソースの枯渇に関する脆弱性が存在します。
CVSS による深刻度 (CVSS とは?)

CVSS v3 による深刻度
基本値: 5.5 (警告) [NVD値]
  • 攻撃元区分: ローカル
  • 攻撃条件の複雑さ: 低
  • 攻撃に必要な特権レベル: 不要
  • 利用者の関与: 要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): なし
  • 完全性への影響(I): なし
  • 可用性への影響(A): 高
CVSS v2 による深刻度
基本値: 4.3 (警告) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): なし
  • 可用性への影響(A): 部分的
影響を受けるシステム


jpeg-js project
  • jpeg-js 0.4.0 未満

想定される影響

サービス運用妨害 (DoS) 状態にされる可能性があります。
対策

ベンダ情報および参考情報を参照して適切な対策を実施してください。
ベンダ情報

jpeg-js project
CWEによる脆弱性タイプ一覧  CWEとは?

  1. リソースの枯渇(CWE-400) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2020-8175
参考情報

  1. National Vulnerability Database (NVD) : CVE-2020-8175
  2. 関連文書 : Pixel flood attack cause the javascript heap out of memory
更新履歴

  • [2020年09月17日]
      掲載